
server.port=8098
#server.address =172.22.16.1
server.error.include-stacktrace=never
spring.jackson.date-format=dd-MMM-yyyy HH:mm:ss z

## errors
server.error.include-message=always
server.error.include-binding-errors=always

# MySQL
#spring.datasource.url=jdbc:mysql://localhost:3306/bvur?useUnicode=true&characterEncoding=utf-8
spring.datasource.url=jdbc:mysql://localhost:3306/bvur?allowPublicKeyRetrieval=true&useSSL=false
spring.datasource.username=bvur_dev
spring.datasource.password=ojDH~3?s}g+!$RC

#XML
spring.jackson.default-property-inclusion=NON_EMPTY

## JPA/Hibernate
spring.jpa.show-sql=false
spring.jpa.properties.hibernate.show_sql=false
spring.jpa.hibernate.ddl-auto=none
spring.jpa.database-platform=org.hibernate.dialect.MySQL8Dialect
#spring.jpa.database-platform=com.mysql.cj.jdbc.Driver
#spring.datasource.driver-class-name=com.mysql.cj.jdbc.Driver
spring.jpa.properties.hibernate.jdbc.time_zone=Asia/Kolkata

## This is important
# Hibernate ddl auto (create, create-drop, validate, update)
#spring.jpa.hibernate.ddl-auto = validate

spring.flyway.baseline-on-migrate=true